package Events;

import commandSystem.Direction;

public class EmergencyStopEvent implements Event {
	
	public EmergencyStopEvent() {
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return -1;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public EventType getType() {
		return EventType.EMERGENCYSTOP;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}
}
